#ifndef LEDStar_h
#define LEDStar_h

#include "Arduino.h"

const int PIXELS = 150; // Number of pixels in strip

class LEDStar
{
  public:
    LEDStar();
    void init(bool debugMode);
    void setMode(byte mode);
    void test();
    void testImg(byte index);
    void clear();
    void show();
    void setPixel(byte index, byte r, byte g, byte b);
    void update();
  private:
    bool _debugMode;
    byte _mode;
    byte _pixelData[PIXELS*3];
    byte _pixelUpdate[PIXELS];
    void _wipeUpdateBuffer();
    void _debugLabel(String label);
    void _debugByte(String label, byte value);
};

#endif


